/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.JoinColumns;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TARMSOLICITUDAGENCIASUCURSAL")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tarmsolicitudagenciasucursal.findAll", query = "SELECT t FROM Tarmsolicitudagenciasucursal t"),
    @NamedQuery(name = "Tarmsolicitudagenciasucursal.findByCagencia", query = "SELECT t FROM Tarmsolicitudagenciasucursal t WHERE t.tarmsolicitudagenciasucursalPK.cagencia = :cagencia"),
    @NamedQuery(name = "Tarmsolicitudagenciasucursal.findByCsolicitud", query = "SELECT t FROM Tarmsolicitudagenciasucursal t WHERE t.tarmsolicitudagenciasucursalPK.csolicitud = :csolicitud")})
public class Tarmsolicitudagenciasucursal implements Serializable {

    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected TarmsolicitudagenciasucursalPK tarmsolicitudagenciasucursalPK;
    @JoinColumn(name = "CAGENCIA", referencedColumnName = "CAGENCIA", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Tarmagenciasucursal tarmagenciasucursal;
    @JoinColumn(name = "CSOLICITUD", referencedColumnName = "CSOLICITUD", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Tarmsolicitud tarmsolicitud;
    @JoinColumns({
        @JoinColumn(name = "ESTADO", referencedColumnName = "CATALOG"),
        @JoinColumn(name = "ESTADOCODIGO", referencedColumnName = "CATALOGCODE")})
    @ManyToOne
    private Tgenecatalogdetail tgenecatalogdetail;

    public Tarmsolicitudagenciasucursal() {
    }

    public Tarmsolicitudagenciasucursal(TarmsolicitudagenciasucursalPK tarmsolicitudagenciasucursalPK) {
        this.tarmsolicitudagenciasucursalPK = tarmsolicitudagenciasucursalPK;
    }

    public Tarmsolicitudagenciasucursal(long cagencia, String csolicitud) {
        this.tarmsolicitudagenciasucursalPK = new TarmsolicitudagenciasucursalPK(cagencia, csolicitud);
    }

    public TarmsolicitudagenciasucursalPK getTarmsolicitudagenciasucursalPK() {
        return tarmsolicitudagenciasucursalPK;
    }

    public void setTarmsolicitudagenciasucursalPK(TarmsolicitudagenciasucursalPK tarmsolicitudagenciasucursalPK) {
        this.tarmsolicitudagenciasucursalPK = tarmsolicitudagenciasucursalPK;
    }

    public Tarmagenciasucursal getTarmagenciasucursal() {
        return tarmagenciasucursal;
    }

    public void setTarmagenciasucursal(Tarmagenciasucursal tarmagenciasucursal) {
        this.tarmagenciasucursal = tarmagenciasucursal;
    }

    public Tarmsolicitud getTarmsolicitud() {
        return tarmsolicitud;
    }

    public void setTarmsolicitud(Tarmsolicitud tarmsolicitud) {
        this.tarmsolicitud = tarmsolicitud;
    }

    public Tgenecatalogdetail getTgenecatalogdetail() {
        return tgenecatalogdetail;
    }

    public void setTgenecatalogdetail(Tgenecatalogdetail tgenecatalogdetail) {
        this.tgenecatalogdetail = tgenecatalogdetail;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (tarmsolicitudagenciasucursalPK != null ? tarmsolicitudagenciasucursalPK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tarmsolicitudagenciasucursal)) {
            return false;
        }
        Tarmsolicitudagenciasucursal other = (Tarmsolicitudagenciasucursal) object;
        if ((this.tarmsolicitudagenciasucursalPK == null && other.tarmsolicitudagenciasucursalPK != null) || (this.tarmsolicitudagenciasucursalPK != null && !this.tarmsolicitudagenciasucursalPK.equals(other.tarmsolicitudagenciasucursalPK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tarmsolicitudagenciasucursal[ tarmsolicitudagenciasucursalPK=" + tarmsolicitudagenciasucursalPK + " ]";
    }
    
}
